<?php
include(dirname(__FILE__) . '/../header.php');
?>
<image src="<?php echo site_url('images/step2.png') ?>">
<h2>お見積もり</h2>
<?php
$reservation = $this->phpsession->get('reservation');
$resrooms = $this->phpsession->get('resrooms');
//var_dump($resrooms);
?>
<table class="inp">
<tr><th width="200px">チェックイン :</th>
<td>
<?php
$s_cin = $reservation['cin'];
echo $s_cin;
echo ' (' . $this->Common_model->week($s_cin) . ')';
?>
</td></tr>
<tr><th>チェックアウト :</th>
<td>
<?php
$s_cout = $reservation['cout'];
echo $s_cout;
echo ' (' . $this->Common_model->week($s_cout) . ')';
?></td>
</tr>
<tr>
<th>プラン :</th>
<td><?php echo $plan_name ?></td>
</tr>
<tr><th>部屋タイプ :</th>
<td>
<?php echo $roomtype_name . ' (' . $roomtypes_guest_min . '～' . $roomtypes_guest_max . '人)'; ?>
</td></tr>
<tr>
<th>部屋数 :</th>
<td><?php echo $reservation['room_num'] . '部屋'; ?></td>
</tr>
<tr>
<th>人数 :</th>
<td>
<?php
for ($i = 0; $i < $reservation['room_num']; $i++)
{
    $room_i = $resrooms[$i];
    echo $room_i['room_no'] . '部屋目' . "<br />\n";
    if ($room_i['basic_num'] > 0)
    {
        echo "大人:"  . $room_i['basic_num']  . "人&nbsp;";
    }
    if ($room_i['child1_num'] > 0)
    {
        echo "子供A:" . $room_i['child1_num'] . "人&nbsp;";
    }
    if ($room_i['child2_num'] > 0)
    {
        echo "子供B:" . $room_i['child2_num'] . "人&nbsp;";
    }
    if ($room_i['child3_num'] > 0)
    {
        echo "子供C:" . $room_i['child3_num'] . "人&nbsp;";
    }
    if ($room_i['child4_num'] > 0)
    {
        echo "子供D:" . $room_i['child4_num'] . "人";
    }
    echo "<br />\n";
}
?></td>
</tr>
<tr>
<th>料金 :</th>
<td>
<?php
$resrooms = $this->phpsession->get('resrooms');
//var_dump($resrooms);
$strDay = '';
foreach ($resrooms as $room_i)
{
    if ($strDay != $room_i['day'])
    {
        echo $room_i['day'] . "<br />\n";
        $strDay = $room_i['day'];
    }
    echo $room_i['room_no'] . '部屋目' . "<br />\n";
    if ($room_i['basic_num'] > 0)
    {
        echo "大人:"  . $room_i['basic_num']  . "人&nbsp;";
        $temp = $room_i['basic_num'] * $room_i['basic_price'];
        echo $room_i['basic_num'] . '人 x ' . number_format($room_i['basic_price']) . '円 = ' . number_format($temp) . '円' . "<br />\n";
    }
    if ($room_i['child1_num'] > 0)
    {
        echo "子供A:" . $room_i['child1_num'] . "人&nbsp;";
        $temp = $room_i['child1_num'] * $room_i['child1_price'];
        echo $room_i['child1_num'] . '人 x ' . number_format($room_i['child1_price']) . '円 = ' . number_format($temp) . '円' . "<br />\n";
    }
    if ($room_i['child2_num'] > 0)
    {
        echo "子供B:" . $room_i['child2_num'] . "人&nbsp;";
        $temp = $room_i['child2_num'] * $room_i['child2_price'];
        echo $room_i['child2_num'] . '人 x ' . number_format($room_i['child2_price']) . '円 = ' . number_format($temp) . '円' . "<br />\n";
    }
    if ($room_i['child3_num'] > 0)
    {
        echo "子供C:" . $room_i['child3_num'] . "人&nbsp;";
        $temp = $room_i['child3_num'] * $room_i['child3_price'];
        echo $room_i['child3_num'] . '人 x ' . number_format($room_i['child3_price']) . '円 = ' . number_format($temp) . '円' . "<br />\n";
    }
    if ($room_i['child4_num'] > 0)
    {
        echo "子供D:" . $room_i['child4_num'] . "人";
        $temp = $room_i['child4_num'] * $room_i['child4_price'];
        echo $room_i['child4_num'] . '人 x ' . number_format($room_i['child4_price']) . '円 = ' . number_format($temp) . '円' . "<br />\n";
    }
}
?>
</td>
</tr>
<tr>
<th>合計 :</th>
<td>
<?php echo number_format($reservation['total_price']) . "円"; ?>
</td>
</tr>
</table>

<?php
if ($isloggedin == false)
{
    // 非ログイン時
    echo '<a href="' . site_url('res/login/' . $hotelid) . '">ログイン</a>' . "&nbsp;/&nbsp";
    echo '<a href="' . site_url('res/userinp/' . $hotelid) . '">未登録で予約する</a>' . "&nbsp;/&nbsp";
    echo '<a href="' . site_url('users/register/' . $hotelid) . '">会員登録</a>' . "<br />";
}
else
{
    // ユーザログイン時
    echo '<a href="' . site_url('res/userinp/' . $hotelid) . '">お客様情報入力へ進む</a>' . "<br />";
}
?>

<?php
include(dirname(__FILE__) . '/../footer.php');
?>
